Warning: mysqli_num_rows() expects parameter 1 to be mysqli_

This is the place to post questions and comments about the FlexBanner component
doorknob
Posts: 22
Joined: Mon Dec 30, 2013 12:34 pm

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by doorknob » Thu Jan 02, 2014 2:14 pm

I uninstalled v4.0.3, all went well and the db tables were successfully removed.
I installed v4.0.0 and again all went well.
When I installed the update2, I got the error message
1060 Duplicate column name 'modified' SQL=ALTER TABLE `pasdf_flexbanners` ADD `modified` datetime NOT NULL default '0000-00-00 00:00:00';
I dropped that column and ran the update again. This time I got
1060 Duplicate column name 'modified_by' SQL=ALTER TABLE `pasdf_flexbanners` ADD `modified_by` int(10) unsigned NOT NULL default '0';
Then
1060 Duplicate column name 'version' SQL=ALTER TABLE `pasdf_flexbanners` ADD COLUMN `version` int(10) unsigned NOT NULL DEFAULT '1';
Then
1054 Unknown column 'categoryid' in 'pasdf_flexbanners' SQL=ALTER TABLE `pasdf_flexbanners` CHANGE `categoryid` `newwin` TINYINT(1) NOT NULL default '0';
Changed the column name catid to categoryid and tried again. Then
1060 Duplicate column name 'newwin' SQL=ALTER TABLE `pasdf_flexbanners` CHANGE `categoryid` `newwin` TINYINT(1) NOT NULL default '0';
Dealt with that and the got 'catid not found and gave up

Andrew998
Posts: 1400
Joined: Wed Jan 07, 2009 10:43 am

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by Andrew998 » Thu Jan 02, 2014 2:17 pm

As I said, no need to uninstall 4.0.3.

Try this update (nothing else).
Attachments
com_flexbanners_update3.zip
(278.13 KiB) Downloaded 108 times
Andrew998
Developer

doorknob
Posts: 22
Joined: Mon Dec 30, 2013 12:34 pm

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by doorknob » Thu Jan 02, 2014 2:36 pm

I'm about to try update3 but before that let me tell you about update2. I reinstalled 4.0.3 followed by 4.0.0. No errors and showing in the extensions manager as v4.0.0. I ten installed update 2. Again no errors and the version number went back to 4.0.3. However, the issues described earlier were still all present.
I'll try update 3 now.

Andrew998
Posts: 1400
Joined: Wed Jan 07, 2009 10:43 am

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by Andrew998 » Thu Jan 02, 2014 2:40 pm

Don't worry. I'll issue 4.04 later today.
Andrew998
Developer

doorknob
Posts: 22
Joined: Mon Dec 30, 2013 12:34 pm

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by doorknob » Thu Jan 02, 2014 2:45 pm

update 3 installed ok. Showed in the extensions manager as v4.0.3. Unfortunately all issues unresolved.
I look forward to 4.0.4

Andrew998
Posts: 1400
Joined: Wed Jan 07, 2009 10:43 am

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by Andrew998 » Thu Jan 02, 2014 3:01 pm

Now issued.
Andrew998
Developer

doorknob
Posts: 22
Joined: Mon Dec 30, 2013 12:34 pm

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by doorknob » Thu Jan 02, 2014 3:17 pm

Thanks, I'll check it out
btw, if you add
COM_FLEXBANNERS="FlexBanners"
to the .sys language file, the component name shows correctly in the global config page

doorknob
Posts: 22
Joined: Mon Dec 30, 2013 12:34 pm

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by doorknob » Thu Jan 02, 2014 3:40 pm

Not sure how this happened but we seem to have switched to a different thread.
Anyway, I checked out v4.0.4 but no change in the issues previously posted.
You might like to know that the download link on the Joomla extensions page points to the previous version and the newly installed v4.0.4 says that an update is available (presumably same issue)

When I suggested a new entry in the .sys language file, I forgot about
COM_FLEXBANNERS_CONFIGURATION="FlexBanners Options"

Andrew998
Posts: 1400
Joined: Wed Jan 07, 2009 10:43 am

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by Andrew998 » Thu Jan 02, 2014 3:42 pm

I tidied up the threads!

I suspect you might be seeing a caching issue.
Andrew998
Developer

doorknob
Posts: 22
Joined: Mon Dec 30, 2013 12:34 pm

Re: Warning: mysqli_num_rows() expects parameter 1 to be mys

Post by doorknob » Thu Jan 02, 2014 4:18 pm

It was probably a caching issue when I first posted in the wrong thread.

Post Reply